Package org.zkoss.stateless.sul

## Interface IFisheyebar

- All Superinterfaces:
    `IAnyGroup<IFisheyebar>`, `IChildable<IFisheyebar,​IFisheye>`, `IComponent<IFisheyebar>`, `IHtmlBasedComponent<IFisheyebar>`, `IXulElement<IFisheyebar>`

      public interface IFisheyebar
      extends IXulElement<IFisheyebar>, IAnyGroup<IFisheyebar>, IChildable<IFisheyebar,​IFisheye>

  Immutable `Fisheyebar` component
  Author:
    jumperchen
  See Also:
    `Fisheyebar`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IFisheyebar.Builder` | Builds instances of type `IFisheyebar`.
    `static class` | `IFisheyebar.Edge` | Specifies the attach edge of `IFisheyebar` component
    `static class` | `IFisheyebar.Orient` | Specifies the orient of `IFisheyebar` component
    `static class` | `IFisheyebar.Updater` | Builds an updater of type `IFisheyebar` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IFisheyebar` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getAttachEdge()` | Returns the attach edge.
    `default int` | `getItemHeight()` | Returns the item height of `IFisheye`.
    `default int` | `getItemMaxHeight()` | Returns the item maximal height of `IFisheye`.
    `default int` | `getItemMaxWidth()` | Returns the item maximal width of `IFisheye`.
    `default int` | `getItemPadding()` | Returns the item padding of `IFisheye`.
    `default int` | `getItemWidth()` | Returns the item width of `IFisheye`.
    `default java.lang.String` | `getLabelEdge()` | Returns the label edge.
    `default java.lang.String` | `getOrient()` | Returns the orient.
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `static IFisheyebar` | `of​(java.lang.Iterable<? extends IFisheye> children)` | Returns the instance with the given `IFisheye` children.
    `static IFisheyebar` | `of​(IFisheye... children)` | Returns the instance with the given `IFisheye` children.
    `static IFisheyebar` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `IFisheyebar` | `withAttachEdge​(java.lang.String attachEdge)` | Returns a copy of `this` immutable component with the specified `attachEdge`.
    `default IFisheyebar` | `withAttachEdge​(IFisheyebar.Edge attachEdge)` | Returns a copy of `this` immutable component with the specified `attachEdge`.
    `IFisheyebar` | `withItemHeight​(int itemHeight)` | Returns a copy of `this` immutable component with the specified `itemHeight`.
    `IFisheyebar` | `withItemMaxHeight​(int itemMaxHeight)` | Returns a copy of `this` immutable component with the specified `itemMaxHeight`.
    `IFisheyebar` | `withItemMaxWidth​(int itemMaxWidth)` | Returns a copy of `this` immutable component with the specified `itemMaxWidth`.
    `IFisheyebar` | `withItemPadding​(int itemPadding)` | Returns a copy of `this` immutable component with the specified `itemPadding`.
    `IFisheyebar` | `withItemWidth​(int itemWidth)` | Returns a copy of `this` immutable component with the specified `itemWidth`.
    `IFisheyebar` | `withLabelEdge​(java.lang.String labelEdge)` | Returns a copy of `this` immutable component with the specified `labelEdge`.
    `default IFisheyebar` | `withLabelEdge​(IFisheyebar.Edge labelEdge)` | Returns a copy of `this` immutable component with the specified `labelEdge`.
    `IFisheyebar` | `withOrient​(java.lang.String orient)` | Returns a copy of `this` immutable component with the specified `orient`.
    `default IFisheyebar` | `withOrient​(IFisheyebar.Orient orient)` | Returns a copy of `this` immutable component with the specified `orient`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IChildable

      `getChildren, withChildren, withChildren`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IFisheyebar DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zkex.menu.Fisheyebar"`

      Specified by:
        `getWidgetClass` in interface `IComponent<IFisheyebar>`

    - #### getOrient

          default java.lang.String getOrient()

      Returns the orient.

      Default: `"horizontal"`.

    - #### withOrient

          IFisheyebar withOrient​(java.lang.String orient)

      Returns a copy of `this` immutable component with the specified `orient`.

      Sets the orient of component

      Parameters:
        `orient` - Either `"horizontal"` or `"vertical"`

        Default: `"horizontal"`.

      Returns:
        A modified copy of the `this` object

    - #### withOrient

          default IFisheyebar withOrient​(IFisheyebar.Orient orient)

      Returns a copy of `this` immutable component with the specified `orient`.

      Sets the orient of component

      Parameters:
        `orient` - The `orient`

        Default: `"horizontal"`.

      Returns:
        A modified copy of the `this` object

    - #### getAttachEdge

          default java.lang.String getAttachEdge()

      Returns the attach edge.

      Default: `center`

    - #### withAttachEdge

          IFisheyebar withAttachEdge​(java.lang.String attachEdge)

      Returns a copy of `this` immutable component with the specified `attachEdge`.

      Sets the attach edge. It will decide the direction to zoom the image if fisheye. Allowed values: `"center", "top", "bottom", "left", "right"`

      Note that `"left","right"` apply for getOrient() is `"vertical"`

      Parameters:
        `attachEdge` - The attach edge of `IFisheyebar`

        Default: `center`.

      Returns:
        A modified copy of the `this` object

    - #### withAttachEdge

          default IFisheyebar withAttachEdge​(IFisheyebar.Edge attachEdge)

      Returns a copy of `this` immutable component with the specified `attachEdge`.

      Sets the attach edge. It will decide the direction to zoom the image if fisheye. Allowed values: `"center", "top", "bottom", "left", "right"`

      Note that `"left","right"` apply for getOrient() is `"vertical"`

      Parameters:
        `attachEdge` - The `IFisheyebar.Edge`

        Default: `center`.

      Returns:
        A modified copy of the `this` object

    - #### getLabelEdge

          default java.lang.String getLabelEdge()

      Returns the label edge.

      Default: `bottom`

    - #### withLabelEdge

          IFisheyebar withLabelEdge​(java.lang.String labelEdge)

      Returns a copy of `this` immutable component with the specified `labelEdge`.

      Sets the label edge. Decides the direction to show the label of fisheye. Allowed values: `"center", "top", "bottom", "left", "right"`

      Note that `"left","right"` apply for getOrient() is `"vertical"`

      Parameters:
        `labelEdge` - The label edge of `IFisheyebar`

        Default: `bottom`.

      Returns:
        A modified copy of the `this` object

    - #### withLabelEdge

          default IFisheyebar withLabelEdge​(IFisheyebar.Edge labelEdge)

      Returns a copy of `this` immutable component with the specified `labelEdge`.

      Sets the label edge. Decides the direction to show the label of fisheye. Allowed values: `"center", "top", "bottom", "left", "right"`

      Note that `"left","right"` apply for getOrient() is `"vertical"`

      Parameters:
        `labelEdge` - The `IFisheyebar.Edge`

        Default: `bottom`.

      Returns:
        A modified copy of the `this` object

    - #### getItemWidth

          default int getItemWidth()

      Returns the item width of `IFisheye`.

      Default: `50`.

    - #### withItemWidth

          IFisheyebar withItemWidth​(int itemWidth)

      Returns a copy of `this` immutable component with the specified `itemWidth`.

      Sets the item width of `IFisheye`.

      Parameters:
        `itemWidth` - The width of `IFisheye`

        Default: `50`.

      Returns:
        A modified copy of the `this` object

    - #### getItemHeight

          default int getItemHeight()

      Returns the item height of `IFisheye`.

      Default: `50`.

    - #### withItemHeight

          IFisheyebar withItemHeight​(int itemHeight)

      Returns a copy of `this` immutable component with the specified `itemHeight`.

      Sets the item height of `IFisheye`.

      Parameters:
        `itemHeight` - The height of `IFisheye`

        Default: `50`.

      Returns:
        A modified copy of the `this` object

    - #### getItemMaxWidth

          default int getItemMaxWidth()

      Returns the item maximal width of `IFisheye`.

      Default: `200`.

    - #### withItemMaxWidth

          IFisheyebar withItemMaxWidth​(int itemMaxWidth)

      Returns a copy of `this` immutable component with the specified `itemMaxWidth`.

      Sets the item maximal width of `IFisheye`.

      Parameters:
        `itemMaxWidth` - The maximal width of `IFisheye`

        Default: `200`.

      Returns:
        A modified copy of the `this` object

    - #### getItemMaxHeight

          default int getItemMaxHeight()

      Returns the item maximal height of `IFisheye`.

      Default: `200`.

    - #### withItemMaxHeight

          IFisheyebar withItemMaxHeight​(int itemMaxHeight)

      Returns a copy of `this` immutable component with the specified `itemMaxHeight`.

      Sets the item maximal height of `IFisheye`.

      Parameters:
        `itemMaxHeight` - The maximal height of `IFisheye`

        Default: `200`.

      Returns:
        A modified copy of the `this` object

    - #### getItemPadding

          default int getItemPadding()

      Returns the item padding of `IFisheye`.

      Default: `10`.

    - #### withItemPadding

          IFisheyebar withItemPadding​(int itemPadding)

      Returns a copy of `this` immutable component with the specified `itemPadding`.

      Sets the item padding of `IFisheye`.

      Parameters:
        `itemPadding` - The padding of `IFisheye`

        Default: `10`.

      Returns:
        A modified copy of the `this` object

    - #### of

          static IFisheyebar of​(java.lang.Iterable<? extends IFisheye> children)

      Returns the instance with the given `IFisheye` children.
      Parameters:
        `children` - The children of `IFisheye`

    - #### of

          static IFisheyebar of​(IFisheye... children)

      Returns the instance with the given `IFisheye` children.
      Parameters:
        `children` - The children of `IFisheye`

    - #### ofId

          static IFisheyebar ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component